----------------------------------------------------------------------------------------------------------
-- [VlF{^}bsO
----------------------------------------------------------------------------------------------------------
ACT_UP = 0
ACT_DOWN = 1
ACT_LEFT = 2
ACT_RIGHT = 3
ACT_A = 4
ACT_B = 5
ACT_C = 6
ACT_D = 7
ACT_AB = 8
ACT_BC = 9
ACT_DOWNLEFT = 10
ACT_DOWNRIGHT = 11
ACT_UPLEFT = 12
ACT_UPRIGHT = 13

MOTION_TABLE={};

MOTION_TABLE[0]=function() return function() key_reset(); end end;
MOTION_TABLE[1]=function() return function() key_on(ACT_DOWN); end end;
MOTION_TABLE[2]=function() return function() key_on(ACT_DOWN); end end;
MOTION_TABLE[3]=function() return function() key_on(ACT_DOWN); end end;
MOTION_TABLE[4]=function() return function() key_on(front); end end;
MOTION_TABLE[5]=function() return function() key_on(back); end end;
MOTION_TABLE[6]=function() return function() key_on(ACT_UP); end end;
MOTION_TABLE[7]=function() return function() key_on(u_front); end end;
MOTION_TABLE[8]=function() return function() key_on(u_back); end end;

-- ͈ꉞK[hƂ
MOTION_TABLE[9]=function() return function() key_on(back); end end;

--K[hd:	
MOTION_TABLE[150]=function() return function() key_on(back); end end;
--K[hd:
MOTION_TABLE[151]=function() return function() key_on(back); end end;
--K[hd:
MOTION_TABLE[152]=function() return function() key_on(back); end end;
--K[hd:
MOTION_TABLE[153]=function() return function() key_on(back); end end;
--Ⴊ݃K[hd:
MOTION_TABLE[154]=function() return function() key_on(ACT_DOWN); key_on(back); end end;
--Ⴊ݃K[hd:
MOTION_TABLE[155]=function() return function() key_on(ACT_DOWN); key_on(back); end end;
--Ⴊ݃K[hd:
MOTION_TABLE[156]=function() return function() key_on(ACT_DOWN); key_on(back); end end;
--Ⴊ݃K[hd:
MOTION_TABLE[157]=function() return function() key_on(ACT_DOWN); key_on(back); end end;
--K[hd():
MOTION_TABLE[159]=function() return function() key_on(ACT_DOWN); key_on(back); end end;
--K[hd():
MOTION_TABLE[160]=function() return function() key_on(ACT_DOWN); key_on(back); end end;
--K[hd():
MOTION_TABLE[161]=function() return function() key_on(ACT_DOWN); key_on(back); end end;
--Ⴊ݃K[hd():
MOTION_TABLE[164]=function() return function() key_on(back); end end;
--Ⴊ݃K[hd():
MOTION_TABLE[165]=function() return function() key_on(back); end end;
--Ⴊ݃K[h	
MOTION_TABLE[156]=function() return function() key_on(ACT_DOWN); key_on(back); end end;
--󒆃K[h	
MOTION_TABLE[158]=function() return function() key_on(back); end end;

--Og		
MOTION_TABLE[180]=function() return function() key_on(ACT_A); key_on(front); end end;
--g	
MOTION_TABLE[181]=function() return function() key_on(ACT_A); key_on(back); end end;
--ONオ	
MOTION_TABLE[197]=function() return function() key_on(ACT_A); key_on(front); end end;
--Nオ	
MOTION_TABLE[198]=function() return function() key_on(ACT_A); key_on(back); end end;
--̏Nオ
MOTION_TABLE[199]=function() return function() key_reset(); end end;


--6D		
MOTION_TABLE[200]=function() return function() key_on(front); key_on(ACT_D); end end;
--4D		
MOTION_TABLE[201]=function() return function() key_on(back); key_on(ACT_D); end end;
--J66		
MOTION_TABLE[202]=function() return function() key_event(front); key_event(front); end, true end;
--J44		
MOTION_TABLE[203]=function() return function() key_event(back); key_event(back); end, true end;


--JxD
MOTION_TABLE[214]=function() return function() key_on(back); key_on(ACT_D); end, false end;

--JxD 8
MOTION_TABLE[2140]=function() return function() key_reset(); end, false, false end; -- L[Zbg͌ĂяoɂCB
MOTION_TABLE[2141]=function() return function() otherKeyOff(); key_on(d_back); key_on(ACT_D); end, false, true end;
MOTION_TABLE[2142]=function() return function() otherKeyOff(); key_on(ACT_DOWN); key_on(ACT_D); end, false, true end;
MOTION_TABLE[2143]=function() return function() otherKeyOff(); key_on(d_front); key_on(ACT_D); end, false, true end;
MOTION_TABLE[2144]=function() return function() otherKeyOff(); key_on(back); key_on(ACT_D); end, false, true end;
MOTION_TABLE[2146]=function() return function() otherKeyOff(); key_on(front); key_on(ACT_D); end, false, true end;
MOTION_TABLE[2147]=function() return function() otherKeyOff(); key_on(u_back); key_on(ACT_D); end, false, true end;
MOTION_TABLE[2148]=function() return function() otherKeyOff(); key_on(ACT_UP); key_on(ACT_D); end, false, true end;
MOTION_TABLE[2149]=function() return function() otherKeyOff(); key_on(u_front); key_on(ACT_D); end, false, true end;

function otherKeyOff()
	key_off(d_back);
	key_off(ACT_DOWN);
	key_off(d_front);
	key_off(back);
	key_off(front);
	key_off(u_back);
	key_off(ACT_UP);
	key_off(u_front);
end 


-- 8HJ
MOTION_TABLE[208]=function() return function() key_on(ACT_UP); key_on(ACT_D) end, true end;
-- 9HJ
MOTION_TABLE[209]=function() return function() key_on(u_front); key_on(ACT_D) end, true end;
-- 7HJ
MOTION_TABLE[210]=function() return function() key_on(u_back); key_on(ACT_D) end, true end;

--2E		
MOTION_TABLE[220]=function() return function() key_on(ACT_DOWN); key_event(ACT_D); key_event(ACT_D); end, true end;
--1E		
MOTION_TABLE[222]=function() return function() key_on(d_back); key_event(ACT_D); key_event(ACT_D); end, true end;
--6E		
MOTION_TABLE[223]=function() return function() key_on(front); key_event(ACT_D); key_event(ACT_D); end, true end;
--4E		
MOTION_TABLE[224]=function() return function() key_on(back); key_event(ACT_D); key_event(ACT_D); end, true end;
--J4E		
MOTION_TABLE[225]=function() return function() key_on(back); key_event(ACT_D); key_event(ACT_D); end, true end;
--J6E		
MOTION_TABLE[226]=function() return function() key_on(front); key_event(ACT_D); key_event(ACT_D); end, true end;

-- A
MOTION_TABLE[301]=function() return function() key_on(ACT_A); end end;
-- 6A
MOTION_TABLE[302]=function() return function() key_on(front); key_on(ACT_A); end end;
-- 2A
MOTION_TABLE[303]=function() return function() key_on(ACT_DOWN); key_on(ACT_A); end end;
-- 3A
MOTION_TABLE[304]=function() return function() key_on(d_front); key_on(ACT_A); end end;
-- DA
MOTION_TABLE[305]=function() return function() key_on(ACT_A); key_on(ACT_D); end end;

-- JA
MOTION_TABLE[306]=function() return function() key_on(front); key_on(ACT_A); key_on(ACT_D); end end;
-- J6A
MOTION_TABLE[307]=function() return function() key_on(front); key_on(ACT_A); end end;
-- J2A
MOTION_TABLE[308]=function() return function() key_on(front); key_on(ACT_A); end end;
-- J8A
MOTION_TABLE[309]=function() return function() key_on(front); key_on(ACT_A); end end;

-- AR{
--[[
MOTION_TABLE[300]=function() return function() SetInput("A"); print("A1"); end, true, false, false end;
MOTION_TABLE[320]=function() return function() SetInput("A"); print("A2"); end, true, false, false end;
MOTION_TABLE[321]=function() return function() SetInput("A"); print("A3"); end, true, false, false end;
MOTION_TABLE[322]=function() return function() SetInput("A"); print("A4"); end, true, false, false end;
]]--
MOTION_TABLE[300]=function() return function() key_event(ACT_A); end, true, false, false end;
MOTION_TABLE[320]=function() return function() key_event(ACT_A); end, true, false, false end;
MOTION_TABLE[321]=function() return function() key_event(ACT_A); end, true, false, false end;
MOTION_TABLE[322]=function() return function() key_event(ACT_A); end, true, false, false end;


-- B
MOTION_TABLE[400]=function() return function() key_on(ACT_B); end end;
-- 6B
MOTION_TABLE[401]=function() return function() key_on(front); key_on(ACT_B); end end;
-- 2B
MOTION_TABLE[402]=function() return function() key_on(ACT_DOWN); key_on(ACT_B); end end;
-- JB
MOTION_TABLE[404]=function() return function() key_on(ACT_B); end end;
-- J2B
MOTION_TABLE[404]=function() return function() key_on(ACT_DOWN); key_on(ACT_B); end end;
-- DB
MOTION_TABLE[408]=function() return function() key_on(ACT_B); key_on(ACT_D); end end;

-- C
MOTION_TABLE[410]=function() return function() key_on(ACT_C); end end;
-- 6C
MOTION_TABLE[411]=function() return function() key_on(front); key_on(ACT_C); end end;
-- 2C
MOTION_TABLE[412]=function() return function() key_on(ACT_DOWN); key_on(ACT_C); end end;
-- JC
MOTION_TABLE[414]=function() return function() key_on(ACT_C); end end;
-- J6C
MOTION_TABLE[415]=function() return function() key_on(front); key_on(ACT_C); end end;
-- J2C
MOTION_TABLE[416]=function() return function() key_on(ACT_DOWN); key_on(ACT_C); end end;
-- DC
MOTION_TABLE[418]=function() return function() key_on(ACT_C); key_on(ACT_D); end end;

-- Bl`n
MOTION_TABLE[500]=function() return function() SetInput("236B"); end, false, false, true end;
-- Cl`n
MOTION_TABLE[501]=function() return function() SetInput("236C"); end, false, false, true end;
-- Bl`
MOTION_TABLE[520]=function() return function() SetInput("623B"); end, false, false, true end;
-- Cl`
MOTION_TABLE[521]=function() return function() SetInput("623C"); end, false, false, true end;
-- Bl`u
MOTION_TABLE[540]=function() return function() SetInput("214B"); end, false, false, true end;
-- Cl`u
MOTION_TABLE[541]=function() return function() SetInput("214C"); end, false, false, true end;
--l`UN
MOTION_TABLE[560]=function() return function() SetInput("22B"); end, false, false, true end;


