require("th105_ai_lib_20090105SetInput.txt");
require("motion_mapping.lua");

----------------------------------------------------------------------------------------------------------
-- s_o^e[uB
-- wKXbh珑ŁAsXbhœǂ܂
----------------------------------------------------------------------------------------------------------
START_MOTIONS={};
INSPIRATION_MOTIONS={};

----------------------------------------------------------------------------------------------------------
-- s̏󋵔苖e덷B
-- 0ɂƏ󋵔肪ɂĂȂƓĂȂB
----------------------------------------------------------------------------------------------------------
PERMISSIBLE_RANGE=40;

----------------------------------------------------------------------------------------------------------
-- ܂ĂȂB
----------------------------------------------------------------------------------------------------------
OLD_X=x;
OLD_Y=y;
OLD_EX=ex;
OLD_EY=ey;
OLD_DIS_X=dis_x;
OLD_DIS_Y=dis_y;
OLD_DIS2=dis2;
OLD_MY_ACT=my_act;
OLD_MY_XSPEED=my_xspeed;
OLD_MY_YSPEED=my_yspeed;
OLD_ENEMY_ACT=enemy_act;
OLD_ENEMY_XSPEED=enemy_xspeed;
OLD_ENEMY_YSPEED=enemy_yspeed;
function yield_updateParameter()
	OLD_X=x;
	OLD_Y=y;
	OLD_EX=ex;
	OLD_EY=ey;
	OLD_DIS_X=dis_x;
	OLD_DIS_Y=dis_y;
	OLD_DIS2=dis2;
	OLD_MY_ACT=my_act;
	OLD_MY_XSPEED=my_xspeed;
	OLD_MY_YSPEED=my_yspeed;
	OLD_ENEMY_ACT=enemy_act;
	OLD_ENEMY_XSPEED=enemy_xspeed;
	OLD_ENEMY_YSPEED=enemy_yspeed;
	yield();
end

----------------------------------------------------------------------------------------------------------
-- C[v
--  e[u̒Ƀe[u˂őzႨB
--  TODO ŏ̃L[͎̍łԍi荞߂HƂ͑΃L
----------------------------------------------------------------------------------------------------------
function main()
	create_thread("learningThread");
	create_thread("actionThread");
	while true 
	do
		--print(enemy_act);
		yield_updateParameter();
	end
end

----------------------------------------------------------------------------------------------------------
-- 
-- sXbh
-- 
----------------------------------------------------------------------------------------------------------
function actionThread()
	while true
	do
		startMotion();
		yield();
	end
end

	----------------------------------------------------------------------------------------------------------
	-- _sI
	----------------------------------------------------------------------------------------------------------
	function startMotion()
		matchedMotions = selectStartMotion(START_MOTIONS);
		inspirationMotions = selectStartMotion(INSPIRATION_MOTIONS);

		-- _s_őI _͖
		if (math.random(10) < 11)
		then
			--print("ʏ_ŊJn");
			actionRandom(matchedMotions);
		else
			--print("CŕςقŊJn");
			actionRandom(inspirationMotions);
		end 
	end
	
	function actionRandom(matchedMotions)
		length = #matchedMotions;
		if (length > 0)
		then
			index = math.random(length);
			actionRecursive(matchedMotions[index]);
		end
	end
	
	function selectStartMotion(motions)
		matchedMotions={};
		for key, motion in pairs(motions)
		do
			-- so^
			if (matchSituation(motion))
			then
				--print("s:", actionRecursiveDepth, motion.captureInfo.my_act);
				table.insert(matchedMotions, motion);
			end
		end
		return matchedMotions;
	end
	----------------------------------------------------------------------------------------------------------
	-- s
	-- ̏ƁAʂɊwKȂƓĂȂB
	----------------------------------------------------------------------------------------------------------
	function matchSituation(motion)
		result = true;
--[[
]]--
--		result = result and nearlyEquals(motion.captureInfo.x, x, PERMISSIBLE_RANGE);
		result = result and nearlyEquals(motion.captureInfo.y, y, 1);
--		result = result and nearlyEquals(motion.captureInfo.ex, ex, PERMISSIBLE_RANGE);
		result = result and nearlyEquals(motion.captureInfo.ey, ey, PERMISSIBLE_RANGE);
		result = result and nearlyEquals(motion.captureInfo.dis_x, dis_x, PERMISSIBLE_RANGE);
		result = result and nearlyEquals(motion.captureInfo.dis_y, dis_y, PERMISSIBLE_RANGE);

--		result = result and (motion.captureInfo.my_act == my_act);
--		result = result and (motion.captureInfo.enemy_act == enemy_act);
--		result = result and (motion.captureInfo.my_act == OLD_MY_ACT);
--		result = result and (motion.captureInfo.enemy_act == OLD_ENEMY_ACT);

		result = result and (motion.captureInfo.weather == weather);
		
--		print(result);
		return result;
	end

	----------------------------------------------------------------------------------------------------------
	-- 󋵂e덷܂݂Ŕ
	----------------------------------------------------------------------------------------------------------
	function nearlyEquals(expected, actual, range)
		return math.abs(expected - actual) <= range;
	end

	----------------------------------------------------------------------------------------------------------
	-- wKsċAIɏ
	----------------------------------------------------------------------------------------------------------
	actionRecursiveDepth = 0;
	function actionRecursive(motion)

--		print("sKw" , actionRecursiveDepth, nextMotion);
		if ((motion == nil) or (motion.captureInfo == nil))
		then
			return;
		end
--		print("motion.captureInfo" , motion.captureInfo);
		action_code = motion.captureInfo.my_act;
--		print("[V", action_code, motion.captureInfo.act_frame);
		doAction(action_code, motion.captureInfo.act_frame);
--		print("̍s邩F", motion:hasNextMotions());
		if (motion:hasNextMotions())
		then
			actionRecursiveDepth = actionRecursiveDepth + 1;

			--nextMotion = motion:getNextMotionRandom();
			nextMotions = selectStartMotion(motion.nextMotions);
			actionRandom(nextMotions);

			actionRecursiveDepth = actionRecursiveDepth - 1;
		end
	end

	----------------------------------------------------------------------------------------------------------
	-- ۂ̍sN
	----------------------------------------------------------------------------------------------------------
	function doAction(action_code, motionFrame)
		-- print("sI R[h:", action_code, motionFrame);
		
		-- TODO ŃNX t
		actions = MOTION_TABLE[action_code];
		if (actions == nil)
		then
			return;
		end
		action, disableWait, disableKeyReset, waitCutMyFrame = actions();
	
		waitFrame = motionFrame;
		print(action_code, action, disableWait, disableKeyReset, waitCutMyFrame, my_frame, waitFrame, actionRecursiveDepth);
		if (waitCutMyFrame == true)
		then 
			waitFrame = motionFrame - my_frame; 
		end

		if (action ~= nil)
		then
			-- motion_mapping Œ`ꂽ{^
			action();

			-- z[h΍ŕύX ꉞ2tňH
			wait(2);
			if (disableKeyReset ~= true)
			then
				key_reset();
			end
			
			if (disableWait ~= true) 
			then
				--print ('wait:', motionFrame);
				--wait(motionFrame);
				-- 1t]T悤B
				wait(waitFrame - 1);
			end
		end
	end

----------------------------------------------------------------------------------------------------------
-- 
-- wKXbh
-- 
----------------------------------------------------------------------------------------------------------
function learningThread()
	while true 
	do
		learningRecursive();
		yield();
	end
end

	----------------------------------------------------------------------------------------------------------
	-- ̍sċAIɊwKB 
	-- [Vl:0ɂȂƂɖ߂ĂB
	--  TODO [V:0ȊOŖ߂ĂĂ悤ȁBiK[hƂj
	----------------------------------------------------------------------------------------------------------
	recursiveDepth=0;
	function learningRecursive()
		motion = learningMotion(MotionRelation.new(), enemy_act);
		if (motion:isNotEmpty())
		then
			print("_ǉ : my_act: ", motion.captureInfo.my_act);
			table.insert(START_MOTIONS, motion);
			print("_F", #START_MOTIONS);
		end
	end

	----------------------------------------------------------------------------------------------------------
	-- ̍swKB
	-- [Vl != 0 ̏ꍇ̂݊wKB
	----------------------------------------------------------------------------------------------------------
	function learningMotion(motion)
--		if (my_act ~= 0)
		if (enemy_act ~= 0)
		then
			-- print("wђ Kw:", recursiveDepth, enemy_act);

			-- s󋵎擾
			--capture = captureMyMotion();
			capture = captureEnemyMotion();
			motion:setCaptureInfo(capture);

			-- ȂċNĂ
			recursiveDepth = recursiveDepth + 1;
			nextMotion = learningMotion(MotionRelation.new());
			if (nextMotion:isNotEmpty())
			then
				motion:addNextMotion(nextMotion);
			end
			recursiveDepth = recursiveDepth - 1;

			-- Cœ˔sɏo邽߂ɕێB
			table.insert(INSPIRATION_MOTIONS, motion);
			
			return motion;
		else
			return motion;
		end
	end

	----------------------------------------------------------------------------------------------------------
	-- ̍swKB
	-- sJn󋵂ƃ[V̎t[擾B
	-- TODO GIuWFNgȂǂ̏󋵂Ƒ₷B
	----------------------------------------------------------------------------------------------------------
	function captureMyMotion()
		currentAct = my_act;
		capture = CaptureInfo.new(x, y, my_act, ex, ey, enemy_act, dis_x, dis_y, weather)
		--capture = CaptureInfo.new(x, y, my_act, ex, ey, enemy_act, dis_x, dis_y, weather)
		frameCount = 0;
		while (currentAct == my_act)
		do
			-- Ăʈ
			if (my_act == 214) 
			then
				currentAct = getDirectionAct(my_xspeed, my_yspeed);
				capture:setMyAct(currentAct);
			end
			frameCount=frameCount + 1;
			yield();
		end
		capture:setFrame(frameCount);
		--print("frame count:", frameCount, currentAct);
		return capture;
	end

	----------------------------------------------------------------------------------------------------------
	-- ̍swKB
	-- sJn󋵂ƃ[V̎t[擾B
	-- TODO GIuWFNgȂǂ̏󋵂Ƒ₷B
	----------------------------------------------------------------------------------------------------------
	function captureEnemyMotion()
		currentAct = enemy_act;
		--capture = CaptureInfo.new(ex, ey, enemy_act, x, y, my_act, dis_x, dis_y, weather);
		capture = CaptureInfo.new(ex, ey, enemy_act, x, y, OLD_MY_ACT, dis_x, dis_y, weather);
		frameCount = 0;
		while (currentAct == enemy_act)
		do
			-- Ăʈ
			if (enemy_act == 214) 
			then
				currentAct = getDirectionAct(enemy_xspeed, enemy_yspeed);
				capture:setMyAct(currentAct);
			end
			frameCount=frameCount + 1;
			yield();
		end
		capture:setFrame(frameCount);
		--print("frame count:", frameCount, currentAct);
		return capture;
	end

	----------------------------------------------------------------------------------------------------------
	-- ĕ
	----------------------------------------------------------------------------------------------------------
	function getDirectionAct(xspeed, yspeed)

		-- 4
		if (xspeed > 0)  and (yspeed == 0) then return 2146; end;
		if (xspeed < 0)  and (yspeed == 0) then return 2144; end;
		if (xspeed == 0) and (yspeed > 0)  then return 2148; end;
		if (xspeed == 0) and (yspeed < 0)  then return 2142; end;

		-- ΂ߔ
		if (xspeed > 0) and (yspeed > 0) then return 2149; end;
		if (xspeed > 0) and (yspeed < 0) then return 2143; end;
		if (xspeed < 0) and (yspeed > 0) then return 2147; end;
		if (xspeed < 0) and (yspeed < 0) then return 2141; end;
		
		-- d
		return 2140;
	end

----------------------------------------------------------------------------------------------------------
-- s֘AǗNX
----------------------------------------------------------------------------------------------------------
MotionRelation={};

	function MotionRelation.new()
		obj={};
		obj.captureInfo = nil;
		obj.nextMotions={};
		return setmetatable(obj, {__index = MotionRelation});
	end
	
	function MotionRelation:setCaptureInfo(capture)
		self.captureInfo = capture;
	end
	
	function MotionRelation:addNextMotion(nextMotion)
		table.insert(self.nextMotions, nextMotion);
	end

	function MotionRelation:getNextMotion(index)
		return self.nextMotions[index];
	end
	
	function MotionRelation:getNextMotionRandom()
		length = self:getNextMotionsLength();
		if (length == 0)
		then
			return nil;
		end
		index = math.random(length);
		return self.nextMotions[index];
	end

	function MotionRelation:hasNextMotions()
		return (#self.nextMotions > 0) ;
	end

	function MotionRelation:isNotEmpty()
		return self.captureInfo ~= nil;
	end

	function MotionRelation:getNextMotionsLength()
		return #self.nextMotions;
	end

----------------------------------------------------------------------------------------------------------
-- sێNX
--  TODO ͂Ƃ̗͂ƂGIuWFNg̈ʒuƂɊ܂߂B
----------------------------------------------------------------------------------------------------------
CaptureInfo={};

	function CaptureInfo.new(_x, _y, _my_act, _ex, _ey, _enemy_act, _dis_x, _dis_y, _weather)
		obj={};

		-- st[
		obj.act_frame = 0;
		
		-- ̍sJn
		obj.x = _x;
		obj.y = _y;
		obj.my_act = _my_act;
		
		-- ̍sJn
		obj.ex = _ex;
		obj.ey = _ey;
		obj.enemy_act = _enemy_act;

		obj.dis_x = _dis_x;
		obj.dis_y = _dis_y;
		
		-- s̓V
		obj.weather = _weather;
		
		return setmetatable(obj, {__index = CaptureInfo});
	end
	
	function CaptureInfo:setFrame(frameCount)
		self.act_frame = frameCount;
	end
	
	function CaptureInfo:setMyAct(act)
		self.my_act = act;
	end

	function CaptureInfo:getMyAct()
		return self.my_act;
	end
